#!/bin/bash
cargo build --example bin -r
ext=$?
if [[ $ext -ne 0 ]]; then
	exit $ext
fi
sudo setcap cap_net_admin=eip ./target/release/examples/bin
./target/release/examples/bin &
pid=$!
sudo ip addr add 192.168.0.1/24 dev mytun0
sudo ip link set up dev mytun0
trap "kill $pid" INT TERM
wait $pid